Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.producer.config
Class ProducerConfigurationProvider

    java.lang.Object
      org.jboss.portal.wsrp.producer.config.ProducerConfigurationProvider

All Implemented Interfaces:
  org.jboss.xb.binding.ObjectModelProvider

    public class ProducerConfigurationProvider

extends java.lang.Object
implements org.jboss.xb.binding.ObjectModelProvider

Since:
  2.6.3
Version:
  $Revision: 10408 $
Author:
  Chris Laprun

Constructor Summary
`ProducerConfigurationProvider()`

Method Summary
`java.lang.Object` | `getAttributeValue(LocalizedString localizedString, java.lang.String namespaceUri, java.lang.String localName)`
`java.lang.Object` | `getAttributeValue(ProducerConfigurationImpl configuration, java.lang.String namespaceUri, java.lang.String localName)`
`java.lang.Object` | `getAttributeValue(ProducerRegistrationRequirementsImpl regReq, java.lang.String namespaceUri, java.lang.String localName)`
`java.lang.Object` | `getChildren(ProducerConfigurationImpl configuration, java.lang.String namespaceUri, java.lang.String localName)`
`java.lang.Object` | `getChildren(ProducerRegistrationRequirementsImpl regReq, java.lang.String namespaceUri, java.lang.String localName)`
`java.lang.Object` | `getElementValue(LocalizedString localizedString, java.lang.String namespaceUri, java.lang.String localName)`
`java.lang.Object` | `getElementValue(ProducerRegistrationRequirementsImpl regReq, java.lang.String namespaceUri, java.lang.String localName)`
`java.lang.Object` | `getElementValue(RegistrationPropertyDescription propertyDescription, java.lang.String namespaceUri, java.lang.String localName)`
`java.lang.Object` | `getRoot(java.lang.Object o, org.jboss.xb.binding.MarshallingContext marshallingContext, java.lang.String s, java.lang.String s1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerConfigurationProvider

    public ProducerConfigurationProvider()

Method Detail

### getRoot

    public java.lang.Object getRoot(java.lang.Object o,
                                    org.jboss.xb.binding.MarshallingContext marshallingContext,
                                    java.lang.String s,
                                    java.lang.String s1)

  Specified by:
    `getRoot` in interface `org.jboss.xb.binding.ObjectModelProvider`

### getChildren

    public java.lang.Object getChildren(ProducerConfigurationImpl configuration,
                                        java.lang.String namespaceUri,
                                        java.lang.String localName)

### getChildren

    public java.lang.Object getChildren(ProducerRegistrationRequirementsImpl regReq,
                                        java.lang.String namespaceUri,
                                        java.lang.String localName)

### getAttributeValue

    public java.lang.Object getAttributeValue(ProducerConfigurationImpl configuration,
                                              java.lang.String namespaceUri,
                                              java.lang.String localName)

### getAttributeValue

    public java.lang.Object getAttributeValue(ProducerRegistrationRequirementsImpl regReq,
                                              java.lang.String namespaceUri,
                                              java.lang.String localName)

### getElementValue

    public java.lang.Object getElementValue(ProducerRegistrationRequirementsImpl regReq,
                                            java.lang.String namespaceUri,
                                            java.lang.String localName)

### getElementValue

    public java.lang.Object getElementValue(RegistrationPropertyDescription propertyDescription,
                                            java.lang.String namespaceUri,
                                            java.lang.String localName)

### getAttributeValue

    public java.lang.Object getAttributeValue(LocalizedString localizedString,
                                              java.lang.String namespaceUri,
                                              java.lang.String localName)

### getElementValue

    public java.lang.Object getElementValue(LocalizedString localizedString,
                                            java.lang.String namespaceUri,
                                            java.lang.String localName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD